Package org.apache.sling.commons.metrics

# Interface Meter

All Superinterfaces:
  `Counting`, `Metric`

@ProviderType public interface Meter extends Counting, Metric
A meter metric which measures mean throughput

## Method Summary

Modifier and Type
Method
Description
`void`
`mark()`
Mark the occurrence of an event.
`void`
`mark(long n)`
Mark the occurrence of a given number of events.

### Methods inherited from interface org.apache.sling.commons.metrics.Counting

`getCount`

### Methods inherited from interface org.apache.sling.commons.metrics.Metric

`adaptTo`

## Method Details

### mark

void mark()
Mark the occurrence of an event.

### mark

void mark(long n)
Mark the occurrence of a given number of events.

Parameters:
  `n` - the number of events